Reschedule interview
curl --request POST \
--url https://assess.praxicraft.com/api/v1/public/interviews/{room_id}/reschedule/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduled_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://assess.praxicraft.com/api/v1/public/interviews/{room_id}/reschedule/"
payload = { "scheduled_at": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scheduled_at: '2023-11-07T05:31:56Z'})
};
fetch('https://assess.praxicraft.com/api/v1/public/interviews/{room_id}/reschedule/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/interviews/{room_id}/reschedule/';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scheduled_at: '2023-11-07T05:31:56Z'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/interviews/{room_id}/reschedule/"
payload := strings.NewReader("{\n \"scheduled_at\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"candidate_token": "<string>",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"questions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"platform_case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "manual",
"question_type": "coding",
"body": "<string>",
"starter_code": "<string>",
"solution": "<string>",
"expected_answer": "<string>",
"hints": "<unknown>",
"difficulty": "easy",
"order": -1,
"is_active": true,
"current_code": "<string>",
"current_language": "python"
}
],
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_role": "interviewer",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"sender_name": "<string>",
"source": "<string>",
"cancelled": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"identity_match": "linked",
"candidate_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_assessment_title": "<string>",
"linked_assessment_slug": "<string>",
"mode": "org",
"interview_type": "coding",
"status": "prepared",
"interviewer_mode": "ai_only",
"human_can_join": true,
"active_language": "python",
"time_limit_minutes": 1073741823,
"scheduled_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"candidate_name": "<string>",
"candidate_email": "[email protected]",
"integrity_config": "<unknown>",
"whiteboard_snapshot": null,
"voice_mode": true,
"job_description": "<string>",
"resume_text": "<string>",
"target_role": "<string>",
"target_company": "<string>",
"difficulty": "entry",
"session_metadata": "<unknown>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Public API — Interviews
Reschedule interview
Required scope:
interviews:write
Reschedule interview
POST
/
api
/
v1
/
public
/
interviews
/
{room_id}
/
reschedule
/
Reschedule interview
curl --request POST \
--url https://assess.praxicraft.com/api/v1/public/interviews/{room_id}/reschedule/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduled_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://assess.praxicraft.com/api/v1/public/interviews/{room_id}/reschedule/"
payload = { "scheduled_at": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scheduled_at: '2023-11-07T05:31:56Z'})
};
fetch('https://assess.praxicraft.com/api/v1/public/interviews/{room_id}/reschedule/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/interviews/{room_id}/reschedule/';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scheduled_at: '2023-11-07T05:31:56Z'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/interviews/{room_id}/reschedule/"
payload := strings.NewReader("{\n \"scheduled_at\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"candidate_token": "<string>",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"questions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"platform_case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "manual",
"question_type": "coding",
"body": "<string>",
"starter_code": "<string>",
"solution": "<string>",
"expected_answer": "<string>",
"hints": "<unknown>",
"difficulty": "easy",
"order": -1,
"is_active": true,
"current_code": "<string>",
"current_language": "python"
}
],
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_role": "interviewer",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"sender_name": "<string>",
"source": "<string>",
"cancelled": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"identity_match": "linked",
"candidate_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_assessment_title": "<string>",
"linked_assessment_slug": "<string>",
"mode": "org",
"interview_type": "coding",
"status": "prepared",
"interviewer_mode": "ai_only",
"human_can_join": true,
"active_language": "python",
"time_limit_minutes": 1073741823,
"scheduled_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"candidate_name": "<string>",
"candidate_email": "[email protected]",
"integrity_config": "<unknown>",
"whiteboard_snapshot": null,
"voice_mode": true,
"job_description": "<string>",
"resume_text": "<string>",
"target_role": "<string>",
"target_company": "<string>",
"difficulty": "entry",
"session_metadata": "<unknown>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Organisation API key created in Assess → Developer → API Keys. Format: Bearer ct_live_<your-key> (live) or Bearer ct_test_<your-key> (test). Optional per-key CIDR allowlists return 403 IP_NOT_ALLOWED.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Maximum string length:
300Maximum string length:
64Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
linked, mismatch, unlinked Available options:
org, engineer Available options:
coding, technical, system_design, behavioral, mixed Available options:
prepared, scheduled, waiting, active, ended, expired, no_show Available options:
ai_only, human_only, hybrid Available options:
python, javascript, typescript, sql, java, go, bash Required range:
0 <= x <= 2147483647Maximum string length:
200Maximum string length:
254Maximum string length:
200Maximum string length:
200Available options:
entry, mid, senior, staff, Last modified on September 5, 2026